LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08644Feature requests[All Projects] Survey designpublic2014-01-31 14:122014-05-03 21:34
Reporterjonaskoeppel 
Assigned Tomfaber 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary08644: "Maximum/Minimum date" setting isn't saved after modifying it
DescriptionWhen using an Expression from the Expression Manager for the "Maximum date" or "Minimum date" setting of a "Date/Time" question type the information is saved at first. But when modifying it, a part of the expression is lost.

Steps to reproduce the bug:
1. create a survey with standard settings
2. create a question group with standard settings
3. create a question of the type Date/Time
4. set the advanced settings "Maximum date" and "Minimum date" to "date('Y', time())" and save the question
The setting is saved and visible in the question overview.
5. modify the question and go to advanced settings
The "Maximum date" and "Minimum date" fields are set to "date("
TagsNo tags attached.
Attached Files? file icon maxdate.lss [^] (12,819 bytes) 2014-01-31 14:12

- Relationships

-  Notes
User avatar (28326)
mfaber (developer)
2014-01-31 15:06

jonaskoeppel: I see. There is a problem with single quotes "'"

Although you may enter a full year (e.g. "2014" or "2010"), expression always need to return a full date/timestamp.

I'd suggest to try:

For MinDate: date("Y", time())+"-01-01"
For MaxDate: date("Y", time())+"-12-31 23:59"
User avatar (28393)
mfaber (developer)
2014-02-02 02:45

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13815 [^]

- Related Changesets
LimeSurvey: master 771deaa3
Timestamp: 2014-02-02 01:44:35
Author: mfaber
Committer: mfaber
Committer: mfaber
Details ] Diff ]
Fixed issue 08644: Incomplete display of adv. attributes containing single quotes

Dev: single quote ended string in "input"
Dev: no problem with "textarea"
mod - application/views/admin/survey/Question/advanced_settings_view.php Diff ] File ]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2014-01-31 14:12 jonaskoeppel New Issue
2014-01-31 14:12 jonaskoeppel File Added: maxdate.lss
2014-01-31 14:26 mfaber Assigned To => mfaber
2014-01-31 14:26 mfaber Status new => assigned
2014-01-31 15:06 mfaber Note Added: 28326
2014-02-02 02:45 mfaber Changeset attached => LimeSurvey master 771deaa3
2014-02-02 02:45 mfaber Note Added: 28393
2014-02-02 02:45 mfaber Resolution open => fixed
2014-02-02 02:54 mfaber Status assigned => resolved
2014-02-02 02:54 mfaber Product Version => 2.05+
2014-02-02 02:54 mfaber Fixed in Version => 2.05+
2014-05-03 21:34 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker